# This job triggers the cleaning of any sensitive data when using the "file" secure mode of Caradoc
apiVersion: batch/v1
kind: CronJob

metadata:
  name: cleaner-cronjob

spec:
  schedule: "0 1 * * *"   # Every day at 1am, we will secure 'file' related data
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: cleaner-cj
              image: "docker.io/curlimages/curl"
              imagePullPolicy: IfNotPresent
              command: [ "curl", "-X", "DELETE", "http://caradoc-api:8100/chat/files" ]
          restartPolicy: OnFailure
